cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: OSGI Issue : Missing constraint : Import package : javax.xml.namespace; version="1.3.0"
Date Tue, 05 Jan 2010 17:16:14 GMT

What version of CXF?     Also, what OSGi runtime and what other bundles are 
installed?

equinox and felix export things from the system differently.   equinox by 
default exports them with version 0.0 but felix doesn't.    

2.2.6 will have the imports for many of the javax.* things with ranges like 
[0.0,2) or similar to work better with both equinox and felix.    See: 

https://issues.apache.org/jira/browse/CXF-2216


Dan


On Mon January 4 2010 12:32:50 pm Rakesh Rai wrote:
> OSGI issue :
> When I try to validate bundles in OSGI after completing the CFX webservice,
> I get the following error.
> 
> Missing constraint : Import package : javax.xml.namespace; version="1.3.0"
> 
> Can some one look into it?
> Thanks
> Rakesh
> 

-- 
Daniel Kulp
dkulp@apache.org
http://www.dankulp.com/blog

Mime
View raw message